Subject: Re: [PATCH v3 net-next 4/8] net: mvneta: sync dma buffers before refilling hw queues

From: Lorenzo Bianconi <[email-masked]>
Date: Wed, 16 Oct 2019 11:09:51 +0200

On Oct 15, Jakub Kicinski wrote:
> On Mon, 14 Oct 2019 12:49:51 +0200, Lorenzo Bianconi wrote:
> > mvneta driver can run on not cache coherent devices so it is
> > necessary to sync DMA buffers before sending them to the device
> > in order to avoid memory corruptions. Running perf analysis we can
> > see a performance cost associated with this DMA-sync (anyway it is
> > already there in the original driver code). In follow up patches we
> > will add more logic to reduce DMA-sync as much as possible.
> > 
> > Signed-off-by: Jesper Dangaard Brouer <[email-masked]>
> > Signed-off-by: Lorenzo Bianconi <[email-masked]>
> 
> Should this not be squashed into patch 2? Isn't there a transient bug
> otherwise?

We put it in a separate patch to track it in a explicit way. I will squash it
in the previous patch. Thx.

Regards,
Lorenzo